Bug 1786940 (python-holidays) - Review Request: python-holidays - Generate and work with holidays in Python
Summary: Review Request: python-holidays - Generate and work with holidays in Python
Keywords:
Status: CLOSED ERRATA
Alias: python-holidays
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-12-29 18:31 UTC by Fabian Affolter
Modified: 2020-01-24 17:43 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-17 05:06:36 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Fabian Affolter 2019-12-29 18:31:44 UTC
Spec URL: https://fab.fedorapeople.org/packages/SRPMS/python-holidays.spec
SRPM URL: https://fab.fedorapeople.org/packages/SRPMS/python-holidays-0.9.12-1.fc31.src.rpm

Project URL: https://github.com/dr-prodigy/python-holidays

Description:
A fast, efficient Python library for generating country, province and state 
specific sets of holidays on the fly. It aims to make determining whether a
specific date is a holiday as fast and flexible as possible.

Koji scratch build:
https://koji.fedoraproject.org/koji/taskinfo?taskID=39975220

rpmlint output:
$ rpmlint python-holidays-0.9.12-1.fc31.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint python3-holidays-0.9.12-1.fc31.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Fedora Account System Username: fab

Comment 1 Robert-André Mauchin 🐧 2020-01-07 19:10:37 UTC
 - Use %{python3_version} or a glob * instead of ?.? because Python 3.10 will break this package otherwise:

%{python3_sitelib}/%{pypi_name}-%{version}-py*.egg-info



 - License ok
 - Latest version packaged
 - Builds in mock
 - No rpmlint errors
 - Conforms to Packaging Guidelines

Package approved.

Comment 2 Gwyn Ciesla 2020-01-07 21:45:40 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-holidays

Comment 3 Fedora Update System 2020-01-08 14:16:58 UTC
python-holidays-0.9.12-2.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-c69651d21c

Comment 4 Fedora Update System 2020-01-09 01:53:35 UTC
python-holidays-0.9.12-2.el8 has been pushed to the Fedora EPEL 8 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-78ce61ad61

Comment 5 Fedora Update System 2020-01-17 05:06:36 UTC
python-holidays-0.9.12-2.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2020-01-24 17:43:15 UTC
python-holidays-0.9.12-2.el8 has been pushed to the Fedora EPEL 8 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.